﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingRole", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingRole", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingRole", Operations.Delete);
}

@section Scripts{
    <script src="/assets/js/vendor/jquery.dataTables.min.js"></script>
    <script src="/assets/js/vendor/dataTables.bootstrap5.js"></script>
    <script src="/assets/js/vendor/dataTables.responsive.min.js"></script>
    <script src="/assets/js/vendor/responsive.bootstrap5.min.js"></script>
    <script src="/assets/js/vendor/dataTables.checkboxes.min.js"></script>
    <script src="/assets/js/pages/demo.products.js"></script>
    <script src="/controller/role/roles.js" asp-append-version="true"></script>
}

    @section Styles{
    <link href="/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
}

    <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">HAT Soft</a></li>
                            <li class="breadcrumb-item active">Danh sách vai trò</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Danh sách vai trò</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-5">
                                @{
                                if (resultCreate.Succeeded)
                                {
                                    <a href="/cpanel/role/role" class="btn btn-success mb-2"><i class="uil-plus-circle me-2"></i>Thêm mới</a>
                                }
                            }
                            <a href="javascript:document.location.reload(true);" class="btn btn-light mb-2 me-1"><i class="mdi mdi-refresh-circle me-2"></i>Làm mới</a>
                        </div>
                        <div class="col-sm-7">
                            <div class="text-sm-end">
                            </div>
                        </div><!-- end col-->
                    </div>

                    <div class="table-responsive">
                        <table class="table table-striped table-centered mb-0">
                            <thead>
                                <tr>
                                    <th style="text-align:center">STT</th>
                                    <th style="text-align:center">Mã vai trò</th>
                                    <th>Tên vai trò</th>
                                     @{
                                        if (resultUpdate.Succeeded || resultDelete.Succeeded)
                                        {
                                            <th style="text-align:center">Hoạt động</th>
                                        }
                                    }
                                </tr>
                            </thead>
                            <tbody id="tblRoles">
                            </tbody>
                        </table>
                    </div>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <div class="row">
        <div class="col-sm-12 col-md-12 d-flex flex-row justify-content-between p-2">
            <div class="d-flex flex-row justify-content-start">
                <div class="dataTables_paginate paging_simple_numbers p-1" style="float:right;" id="basic-datatable_paginate">
                    <ul class="pagination pagination-rounded" id="paginationUL">
                    </ul>
                </div>
                <div class="p-2">
                    <div class="form-label">Hiển thị</div>
                </div>
                <div class="p-1">
                    <select name="basic-datatable_length" aria-controls="basic-datatable" id="ddlShowPage" class="form-select form-select-sm">
                        <option value="10">10</option>
                        <option value="25">25</option>
                        <option value="50">50</option>
                        <option value="100">100</option>
                    </select>
                </div>
                <div class="p-2">
                    mục
                </div>
            </div>

            <div class="dataTables_info d-flex justify-content-end p-2" id="lblTotalRecords" role="status" aria-live="polite">
            </div>
        </div>
        <div style="clear:both;"></div>
    </div>

</div>
<script id="table-template" type="x-tmpl-mustache">
    <tr>
        <td style="text-align:center">{{Stt}}</td>
        <td style="text-align:center">{{{Code}}}</td>
        <td>{{Description}}</td>
        @{
            if (resultUpdate.Succeeded || resultDelete.Succeeded)
            {
                <td style="text-align:center">
                    @{

                        if (resultUpdate.Succeeded)
                        {
                            <a onclick=updateRole('{{Id}}') class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                        }
                        if (resultDelete.Succeeded)
                        {
                             <a onclick="deleteRole('{{Id}}')" class="action-icon"> <i class="mdi mdi-delete"></i></a>
                        }
                    }
                </td>
            }
        }
    </tr>
</script>